# google-slides-ti
Reads and writes Google Slides presentations.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 0.0.1
- Generator version: 7.11.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://google.com](https://google.com)

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import google_slides_ti
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import google_slides_ti
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import google_slides_ti
from google_slides_ti.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://slides.googleapis.com
# See configuration.py for a list of all supported configuration parameters.
configuration = google_slides_ti.Configuration(
    host = "https://slides.googleapis.com"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

configuration.access_token = os.environ["ACCESS_TOKEN"]

configuration.access_token = os.environ["ACCESS_TOKEN"]


# Enter a context with an instance of the API client
with google_slides_ti.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = google_slides_ti.PresentationsApi(api_client)
    presentation_id = 'presentation_id_example' # str | The presentation to apply the updates to.
    access_token = 'access_token_example' # str | OAuth access token. (optional)
    alt = json # str | Data format for response. (optional) (default to json)
    param_callback = 'param_callback_example' # str | JSONP (optional)
    fields = 'fields_example' # str | Selector specifying which fields to include in a partial response. (optional)
    key = 'key_example' # str | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. (optional)
    oauth_token = 'oauth_token_example' # str | OAuth 2.0 token for the current user. (optional)
    pretty_print = True # bool | Returns response with indentations and line breaks. (optional) (default to True)
    quota_user = 'quota_user_example' # str | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. (optional)
    upload_protocol = 'upload_protocol_example' # str | Upload protocol for media (e.g. \"raw\", \"multipart\"). (optional)
    upload_type = 'upload_type_example' # str | Legacy upload protocol for media (e.g. \"media\", \"multipart\"). (optional)
    xgafv = 'xgafv_example' # str | V1 error format. (optional)
    batch_update_presentation_request = google_slides_ti.BatchUpdatePresentationRequest() # BatchUpdatePresentationRequest |  (optional)

    try:
        api_response = api_instance.slides_presentations_batch_update(presentation_id, access_token=access_token, alt=alt, param_callback=param_callback, fields=fields, key=key, oauth_token=oauth_token, pretty_print=pretty_print, quota_user=quota_user, upload_protocol=upload_protocol, upload_type=upload_type, xgafv=xgafv, batch_update_presentation_request=batch_update_presentation_request)
        print("The response of PresentationsApi->slides_presentations_batch_update:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling PresentationsApi->slides_presentations_batch_update: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://slides.googleapis.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PresentationsApi* | [**slides_presentations_batch_update**](docs/PresentationsApi.md#slides_presentations_batch_update) | **POST** /v1/presentations/{presentationId}:batchUpdate | 
*PresentationsApi* | [**slides_presentations_create**](docs/PresentationsApi.md#slides_presentations_create) | **POST** /v1/presentations | 
*PresentationsApi* | [**slides_presentations_get**](docs/PresentationsApi.md#slides_presentations_get) | **GET** /v1/presentations/{+presentationId} | 
*PresentationsApi* | [**slides_presentations_pages_get**](docs/PresentationsApi.md#slides_presentations_pages_get) | **GET** /v1/presentations/{presentationId}/pages/{pageObjectId} | 
*PresentationsApi* | [**slides_presentations_pages_get_thumbnail**](docs/PresentationsApi.md#slides_presentations_pages_get_thumbnail) | **GET** /v1/presentations/{presentationId}/pages/{pageObjectId}/thumbnail | 


## Documentation For Models

 - [AffineTransform](docs/AffineTransform.md)
 - [AutoText](docs/AutoText.md)
 - [Autofit](docs/Autofit.md)
 - [BatchUpdatePresentationRequest](docs/BatchUpdatePresentationRequest.md)
 - [BatchUpdatePresentationResponse](docs/BatchUpdatePresentationResponse.md)
 - [Bullet](docs/Bullet.md)
 - [ColorScheme](docs/ColorScheme.md)
 - [ColorStop](docs/ColorStop.md)
 - [CreateImageRequest](docs/CreateImageRequest.md)
 - [CreateImageResponse](docs/CreateImageResponse.md)
 - [CreateLineRequest](docs/CreateLineRequest.md)
 - [CreateLineResponse](docs/CreateLineResponse.md)
 - [CreateParagraphBulletsRequest](docs/CreateParagraphBulletsRequest.md)
 - [CreateShapeRequest](docs/CreateShapeRequest.md)
 - [CreateShapeResponse](docs/CreateShapeResponse.md)
 - [CreateSheetsChartRequest](docs/CreateSheetsChartRequest.md)
 - [CreateSheetsChartResponse](docs/CreateSheetsChartResponse.md)
 - [CreateSlideRequest](docs/CreateSlideRequest.md)
 - [CreateSlideResponse](docs/CreateSlideResponse.md)
 - [CreateTableRequest](docs/CreateTableRequest.md)
 - [CreateTableResponse](docs/CreateTableResponse.md)
 - [CreateVideoRequest](docs/CreateVideoRequest.md)
 - [CreateVideoResponse](docs/CreateVideoResponse.md)
 - [CropProperties](docs/CropProperties.md)
 - [DeleteObjectRequest](docs/DeleteObjectRequest.md)
 - [DeleteParagraphBulletsRequest](docs/DeleteParagraphBulletsRequest.md)
 - [DeleteTableColumnRequest](docs/DeleteTableColumnRequest.md)
 - [DeleteTableRowRequest](docs/DeleteTableRowRequest.md)
 - [DeleteTextRequest](docs/DeleteTextRequest.md)
 - [Dimension](docs/Dimension.md)
 - [DuplicateObjectRequest](docs/DuplicateObjectRequest.md)
 - [DuplicateObjectResponse](docs/DuplicateObjectResponse.md)
 - [Group](docs/Group.md)
 - [GroupObjectsRequest](docs/GroupObjectsRequest.md)
 - [GroupObjectsResponse](docs/GroupObjectsResponse.md)
 - [Image](docs/Image.md)
 - [ImageProperties](docs/ImageProperties.md)
 - [InsertTableColumnsRequest](docs/InsertTableColumnsRequest.md)
 - [InsertTableRowsRequest](docs/InsertTableRowsRequest.md)
 - [InsertTextRequest](docs/InsertTextRequest.md)
 - [LayoutPlaceholderIdMapping](docs/LayoutPlaceholderIdMapping.md)
 - [LayoutProperties](docs/LayoutProperties.md)
 - [LayoutReference](docs/LayoutReference.md)
 - [Line](docs/Line.md)
 - [LineConnection](docs/LineConnection.md)
 - [LineFill](docs/LineFill.md)
 - [LineProperties](docs/LineProperties.md)
 - [Link](docs/Link.md)
 - [List](docs/List.md)
 - [MasterProperties](docs/MasterProperties.md)
 - [MergeTableCellsRequest](docs/MergeTableCellsRequest.md)
 - [NestingLevel](docs/NestingLevel.md)
 - [NotesProperties](docs/NotesProperties.md)
 - [OpaqueColor](docs/OpaqueColor.md)
 - [OptionalColor](docs/OptionalColor.md)
 - [Outline](docs/Outline.md)
 - [OutlineFill](docs/OutlineFill.md)
 - [Page](docs/Page.md)
 - [PageBackgroundFill](docs/PageBackgroundFill.md)
 - [PageElement](docs/PageElement.md)
 - [PageElementProperties](docs/PageElementProperties.md)
 - [PageProperties](docs/PageProperties.md)
 - [ParagraphMarker](docs/ParagraphMarker.md)
 - [ParagraphStyle](docs/ParagraphStyle.md)
 - [Placeholder](docs/Placeholder.md)
 - [Presentation](docs/Presentation.md)
 - [Range](docs/Range.md)
 - [Recolor](docs/Recolor.md)
 - [RefreshSheetsChartRequest](docs/RefreshSheetsChartRequest.md)
 - [ReplaceAllShapesWithImageRequest](docs/ReplaceAllShapesWithImageRequest.md)
 - [ReplaceAllShapesWithImageResponse](docs/ReplaceAllShapesWithImageResponse.md)
 - [ReplaceAllShapesWithSheetsChartRequest](docs/ReplaceAllShapesWithSheetsChartRequest.md)
 - [ReplaceAllShapesWithSheetsChartResponse](docs/ReplaceAllShapesWithSheetsChartResponse.md)
 - [ReplaceAllTextRequest](docs/ReplaceAllTextRequest.md)
 - [ReplaceAllTextResponse](docs/ReplaceAllTextResponse.md)
 - [ReplaceImageRequest](docs/ReplaceImageRequest.md)
 - [Request](docs/Request.md)
 - [RerouteLineRequest](docs/RerouteLineRequest.md)
 - [Response](docs/Response.md)
 - [RgbColor](docs/RgbColor.md)
 - [Shadow](docs/Shadow.md)
 - [Shape](docs/Shape.md)
 - [ShapeBackgroundFill](docs/ShapeBackgroundFill.md)
 - [ShapeProperties](docs/ShapeProperties.md)
 - [SheetsChart](docs/SheetsChart.md)
 - [SheetsChartProperties](docs/SheetsChartProperties.md)
 - [Size](docs/Size.md)
 - [SlideProperties](docs/SlideProperties.md)
 - [SolidFill](docs/SolidFill.md)
 - [SpeakerSpotlight](docs/SpeakerSpotlight.md)
 - [SpeakerSpotlightProperties](docs/SpeakerSpotlightProperties.md)
 - [StretchedPictureFill](docs/StretchedPictureFill.md)
 - [SubstringMatchCriteria](docs/SubstringMatchCriteria.md)
 - [Table](docs/Table.md)
 - [TableBorderCell](docs/TableBorderCell.md)
 - [TableBorderFill](docs/TableBorderFill.md)
 - [TableBorderProperties](docs/TableBorderProperties.md)
 - [TableBorderRow](docs/TableBorderRow.md)
 - [TableCell](docs/TableCell.md)
 - [TableCellBackgroundFill](docs/TableCellBackgroundFill.md)
 - [TableCellLocation](docs/TableCellLocation.md)
 - [TableCellProperties](docs/TableCellProperties.md)
 - [TableColumnProperties](docs/TableColumnProperties.md)
 - [TableRange](docs/TableRange.md)
 - [TableRow](docs/TableRow.md)
 - [TableRowProperties](docs/TableRowProperties.md)
 - [TextContent](docs/TextContent.md)
 - [TextElement](docs/TextElement.md)
 - [TextRun](docs/TextRun.md)
 - [TextStyle](docs/TextStyle.md)
 - [ThemeColorPair](docs/ThemeColorPair.md)
 - [Thumbnail](docs/Thumbnail.md)
 - [UngroupObjectsRequest](docs/UngroupObjectsRequest.md)
 - [UnmergeTableCellsRequest](docs/UnmergeTableCellsRequest.md)
 - [UpdateImagePropertiesRequest](docs/UpdateImagePropertiesRequest.md)
 - [UpdateLineCategoryRequest](docs/UpdateLineCategoryRequest.md)
 - [UpdateLinePropertiesRequest](docs/UpdateLinePropertiesRequest.md)
 - [UpdatePageElementAltTextRequest](docs/UpdatePageElementAltTextRequest.md)
 - [UpdatePageElementTransformRequest](docs/UpdatePageElementTransformRequest.md)
 - [UpdatePageElementsZOrderRequest](docs/UpdatePageElementsZOrderRequest.md)
 - [UpdatePagePropertiesRequest](docs/UpdatePagePropertiesRequest.md)
 - [UpdateParagraphStyleRequest](docs/UpdateParagraphStyleRequest.md)
 - [UpdateShapePropertiesRequest](docs/UpdateShapePropertiesRequest.md)
 - [UpdateSlidePropertiesRequest](docs/UpdateSlidePropertiesRequest.md)
 - [UpdateSlidesPositionRequest](docs/UpdateSlidesPositionRequest.md)
 - [UpdateTableBorderPropertiesRequest](docs/UpdateTableBorderPropertiesRequest.md)
 - [UpdateTableCellPropertiesRequest](docs/UpdateTableCellPropertiesRequest.md)
 - [UpdateTableColumnPropertiesRequest](docs/UpdateTableColumnPropertiesRequest.md)
 - [UpdateTableRowPropertiesRequest](docs/UpdateTableRowPropertiesRequest.md)
 - [UpdateTextStyleRequest](docs/UpdateTextStyleRequest.md)
 - [UpdateVideoPropertiesRequest](docs/UpdateVideoPropertiesRequest.md)
 - [Video](docs/Video.md)
 - [VideoProperties](docs/VideoProperties.md)
 - [WeightedFontFamily](docs/WeightedFontFamily.md)
 - [WordArt](docs/WordArt.md)
 - [WriteControl](docs/WriteControl.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="Oauth2"></a>
### Oauth2

- **Type**: OAuth
- **Flow**: implicit
- **Authorization URL**: https://accounts.google.com/o/oauth2/auth
- **Scopes**: 
 - **https://www.googleapis.com/auth/drive**: See, edit, create, and delete all of your Google Drive files
 - **https://www.googleapis.com/auth/drive.file**: See, edit, create, and delete only the specific Google Drive files you use with this app
 - **https://www.googleapis.com/auth/drive.readonly**: See and download all your Google Drive files
 - **https://www.googleapis.com/auth/presentations**: See, edit, create, and delete all your Google Slides presentations
 - **https://www.googleapis.com/auth/presentations.readonly**: See all your Google Slides presentations
 - **https://www.googleapis.com/auth/spreadsheets**: See, edit, create, and delete all your Google Sheets spreadsheets
 - **https://www.googleapis.com/auth/spreadsheets.readonly**: See all your Google Sheets spreadsheets

<a id="Oauth2c"></a>
### Oauth2c

- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: https://accounts.google.com/o/oauth2/auth
- **Scopes**: 
 - **https://www.googleapis.com/auth/drive**: See, edit, create, and delete all of your Google Drive files
 - **https://www.googleapis.com/auth/drive.file**: See, edit, create, and delete only the specific Google Drive files you use with this app
 - **https://www.googleapis.com/auth/drive.readonly**: See and download all your Google Drive files
 - **https://www.googleapis.com/auth/presentations**: See, edit, create, and delete all your Google Slides presentations
 - **https://www.googleapis.com/auth/presentations.readonly**: See all your Google Slides presentations
 - **https://www.googleapis.com/auth/spreadsheets**: See, edit, create, and delete all your Google Sheets spreadsheets
 - **https://www.googleapis.com/auth/spreadsheets.readonly**: See all your Google Sheets spreadsheets


## Author




